Subject: Re: [PATCH v2] ether1: Use net_device_stats from struct net_device

From: Stephen Hemminger <[email-masked]>
Date: Wed, 18 Aug 2010 08:33:04 -0700

On Wed, 18 Aug 2010 09:04:24 +0200
Tobias Klauser <[email-masked]> wrote:

>  
> -	memset (&priv(dev)->stats, 0, sizeof (struct net_device_stats));
> +	memset(&dev->stats, 0, sizeof(struct net_device_stats));

This is incorrect, just remove the memset.  The stats are initialized
when device is created.  The Linux device driver convention is to
keep stats when device is set down and brought back up; that is what
the majority of other drivers do.

--